
{% extends 'base.html'%}

{% block title %} Breast {% endblock %}
{% block status %}active{% endblock %}


{% block css %}
<title>Dung-Tshap</title>

  <link rel="stylesheet" href="../static/css/maicons.css">

  <link rel="stylesheet" href="../static/css/bootstrap.css">

  <link rel="stylesheet" href="../static/vendor/owl-carousel/css/owl.carousel.css">

  <link rel="stylesheet" href="../static/vendor/animate/animate.css">

  <link rel="stylesheet" href="../static/css/theme.css">

{% endblock %}


{% block body %}
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
    <link rel="canonical" href="https://getbootstrap.com/docs/4.5/examples/carousel/">
    <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='index.css') }}"> -->
	<title>Dung-Tshap | Breast Cancer Prediction</title>
</head>
<style>
	
	button {
		background-color: #55BBA7;
	}

	h1{
		text-align: center;
		margin-top: 10px;
	}

	form {
		margin: 3% 5%;
		border-radius:20px;
	}

	form fieldset {
		padding: 3vw;
		border-width: 1px;
		border-style: solid;
		border-radius: 20px;
		border-color: white;
		background-color: #fff;
	}

	fieldset h1 {
		color: #b52e2e;
		padding-bottom: 20px;
		display: inline-block;
		cursor: pointer;
		font-size: 28px;
		text-align: center;
	}

	fieldset label {
		padding: 1vw;
		font-size: 18px;
		display: block;
		width: 80%;
		margin: 0 auto;
	}

	fieldset input, fieldset select {
		
		color: #938c8c;
		display: block;
		width: 100%;
		border: none;
		border-bottom: 1px solid #ccc;
		margin-bottom: 2vh;
	}

	fieldset input:focus {
		color: #000;
	}

	fieldset button {
		color: #fff;
		background-color: #55BBA7;
		border-radius: 50px;
		padding: 13px 8vw;
		text-align: center;
		letter-spacing: 0.9px;
		text-decoration: none;
		margin: 2vh auto;
		display: block;
		box-shadow: 0px 1px 3px 0px #55BBA7;
		cursor: pointer;
	}

	.submit {
		color: #fff;
		background-color: #55BBA7;
		border-radius: 3px;
		padding: 13px 5vw;
		text-align: center;
		letter-spacing: 0.9px;
		text-decoration: none;
		margin: 2vh auto;
		display: block;
		box-shadow: 0px 1px 3px 0px #55BBA7;
		cursor: pointer;
	}

	#link_to_edit {
		padding-left: 45px;
	}

	.fieldset {
		margin: 3% 5%;
		padding: 3vw;
		border-width: 25px;
		border-style: ridge;
		border-color: #257a7a;
		box-shadow: 6px 13px 13px 0px black;
		background-color: #ebfffa;
	}
	
	
	@media screen and (min-width: 500px) {
		form fieldset {
			width: 70%;
			margin: 0 auto;
		}
	}
	
	@media screen and (min-width: 1024px) {
		form fieldset {
			width: 53%;
		}
	}
</style>
<body>
	<div class="page-hero bg-image overlay-dark" style="background-image: url(../static/img/breastBanner.webp);">
		<div class="hero-section">
		  <div class="container text-center wow zoomIn">
			
			<h1 class="display-4">Breast Cancer Prediction</h1>
			<span class="subhead">Please enter the details in a form given Below</span>
		  </div>
		</div>
	</div>

	<div class="bg-light">
		<div class="page-section py-3 mt-md-n5 custom-index">
		  <div class="container">
			<div class="row justify-content-center">
			  <div class="col-md-3 py-3 py-md-0">
				<div class="card-service wow fadeInUp">
					<div class="circle-shape bg-primary text-white d-flex justify-content-center align-items-center">
						 <img src="../static/img/bcF.png" class="img-fluid">
					  </div>
				  <p>Breast Cancer</p>
				</div>
			  </div>
			</div>
			  
			</div>
		  </div>
		</div>

		<h5 style="text-align:center;">Breast Cancer prediction Form</h5>

		
    <form action="{{ url_for('predict')}}" method="post" class="form-inline" >
            <fieldset style="background: linear-gradient(135deg, #FFFFFF, #F4F7FC); box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);">
            <div class="tabcontent" id="new">
                 <div class="form-group">
                    <label for="clump_thickness">Clump Thickness </label>
                    <input style="width:100%" type="number" class="form-control" name="clump_thickness" required="required" oninput="limitDigitsLength(this, 2)"/>
                 </div>
                  <div class="form-group">
                    <label for="uniform_cell_size">Uniform Cell size</label>
                    <input style="width:100%" type="number" class="form-control" name="uniform_cell_size" required="required"oninput="limitDigitsLength(this, 2)"/>
                  </div>
                  <div class="form-group">
                    <label for="uniform_cell_shape">Uniform Cell shape</label>
                    <input style="width:100%" type="number" class="form-control" name="uniform_cell_shape" required="required" oninput="limitDigitsLength(this, 2)"/>
                  </div>
                  <div class="form-group">
                    <label for="marginal_adhesion">Marginal Adhesion</label>
                    <input style="width:100%" type="number" class="form-control" name="marginal_adhesion" required="required" oninput="limitDigitsLength(this, 2)"/>
                  </div>
                  <div class="form-group">
                    <label for="single_epithelial_size">Single Epithelial Cell Size</label>
                    <input style="width:100%" type="number" class="form-control" name="single_epithelial_size" required="required" oninput="limitDigitsLength(this, 2)" />
                  </div>
                  <div class="form-group">
                    <label for="bare_nuclei">Bare Nuclei</label>
                    <input style="width:100%" type="number" class="form-control" name="bare_nuclei" required="required" oninput="limitDigitsLength(this, 2)"/>
                  </div>
                  <div class="form-group">
                    <label for="bland_chromatin">Bland Chromatin</label>
                    <input style="width:100%" type="number" class="form-control" name="bland_chromatin" required="required" oninput="limitDigitsLength(this, 2)"/>
                  </div>
                  <div class="form-group">
                    <label for="normal_nucleoli">Normal Nucleoli</label>
                    <input style="width:100%" type="number" class="form-control" name="normal_nucleoli" required="required" oninput="limitDigitsLength(this, 2)"/>
                  </div>
                  <div class="form-group">
                    <label for="mitoses">Mitoses</label>
                    <input style="width:100%" type="number" class="form-control" name="mitoses" required="required" oninput="limitDigitsLength(this, 2)"/>
                  </div>
                  <div class="form-group text-center">
					<button type="submit" class="btn btn-primary mt-3 wow zoomIn">Predict</button>
				</div>
                </div>
            </fieldset>
          </form>

	</div>

	<script>
		function limitDigitsLength(input, maxLength) {
			if (input.value.length > maxLength) {
				input.value = input.value.slice(0, maxLength);
			}
		}
	</script>
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</body>
</html>
{% endblock %}